Herald
OpenapiBilling invoice

Upsert_seller_config

PUT
/api/bill/{realmId}/invoice-seller-config

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

realmId*string

Realm ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

defaultPaymentTerms?string|null
sellerAddress*string
sellerEmail?string|null
sellerName*string
sellerPhone?string|null
sellerTaxId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/bill/string/invoice-seller-config" \  -H "Content-Type: application/json" \  -d '{    "sellerAddress": "string",    "sellerName": "string",    "sellerTaxId": "string"  }'
{  "createdAt": "string",  "defaultPaymentTerms": "string",  "sellerAddress": "string",  "sellerEmail": "string",  "sellerName": "string",  "sellerPhone": "string",  "sellerTaxId": "string",  "updatedAt": "string"}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}